# A pipeline is composed of independent jobs that run scripts, grouped into stages.
# Stages run in sequential order, but jobs within stages run in parallel.

image: python:latest

stages: # List of stages for jobs, and their order of execution
  - build

build-job:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  only:
    - main
    - development
  script:
    - echo "Start building Fuseki & GraphDB images..."
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY_IMAGE
    - docker-compose build
    - docker-compose push
    - echo "Building image finished."
